class Book
{
   private String title;
   private int pubYear; // publication year
   private String author;

   static int count;

   Book(String title)
   {
      this(title, -1);

      // Do not include ++count; here because it already
      // executes in the second constructor and would 
      // execute here after this() returns. You would end
      // up with one extra book in the count.
   }

   Book(String title, int pubYear)
   {
      this(title, pubYear, "");
   }

   Book(String title, int pubYear, String author)
   {
      setTitle(title);
      setPubYear(pubYear);
      setAuthor(author);
      ++count;
   }

   String getTitle()
   {
      return title;
   }

   int getPubYear()
   {
      return pubYear;
   }

   String getAuthor()
   {
      return author;
   }

   void setTitle(String title)
   {
      this.title = title;
   }

   void setPubYear(int pubYear)
   {
      this.pubYear = pubYear;
   }

   void setAuthor(String author)
   {
      this.author = author;
   }

   static void showCount()
   {
      System.out.println("count = " + count);
   }
}